<?

	define("VALID_CMS", 1);
	include 'includes/config.inc.php';
	/// подключение к базе
	$datb = $_CFG['db_base'];
	$user = $_CFG['db_user'];
	$pass = $_CFG['db_pass'];
	$char = 'utf8';
	$host = $_CFG['db_host'];
	$dsn = "mysql:host=$host;dbname=$datb;charset=$char";
	$opt = array(
	    PDO::ATTR_ERRMODE            => PDO::ERRMODE_EXCEPTION,
	    PDO::ATTR_DEFAULT_FETCH_MODE => PDO::FETCH_ASSOC
	);
	$db = new PDO($dsn, $user, $pass, $opt);
	/// подключение к базе
	/// получим конфиг
	$stb = $db->query("SELECT config FROM cms_plugins WHERE plugin = 'p_postervk'");
	$result = $stb->fetch();
	/// почикаем все что в конфиге на всякий случай
	function splitNewLine($text) {
		$code=preg_replace('/\n$/','',preg_replace('/^\n/','',preg_replace('/[\r\n]+/',"\n",$text)));
		return explode("\n",$code);
	}
	/// получим чистый массив конфига
	$c_arr = splitNewLine($result['config']);
	/// результат доски
	$board = (!empty($c_arr[1])) ? explode(":", $c_arr[1]) : '0';
	/// результат блогов
	$blog = (!empty($c_arr[2])) ? explode(":", $c_arr[2]) : '0';
	$array = array();

	/// если в конфиге стоит 1 то разрешено черпать с доски
	if (@$board['1'] == '1') {
		/// запросим что у нас есть на доске
		$stboard = $db->query("
			SELECT id, title, content, file, date_format(pubdate, '%Y-%m-%d') pubdate
			FROM cms_board_items
			WHERE pubdate > DATE_SUB(NOW(), INTERVAL 1 DAY)
			AND published = '1'
		");
		$arr_board = $stboard->fetchAll();
		foreach ($arr_board as $k => $v) {
			$data_board = array();
			$id = $v['id'];
			$title = $v['title'];
			$content = strip_tags($v['content']);
			$content = preg_replace("/('|\"|\r?\n)/", '', $content);
			$content = preg_replace('/\\(.*?\\)|\\[.*?\\]/s', '', $content);    
			$content = substr($content, 0, 300);
			$content = rtrim($content, "!,.-");
			$content = substr($content, 0, strrpos($content, ' '));
		    $data_board['id']= $id;
		    $data_board['pubdate'] = $v['pubdate'];
			$data_board['title']= $title;
			if ($v['file']){
				$data_board['image']= 'http://'.$_SERVER['HTTP_HOST'].'/images/board/medium/'.$v['file'];
			} else {
				$data_board['image']= '';
			}
			$data_board['content']= $content.'...';
			$array['board'][] = $data_board;
		}
	}

	if (@$blog['1'] == '1') {
		$stblog = $db->query("
			SELECT t1.id
			, t1.title
			, t1.content
			, t1.seolink linkpost
			, date_format(t1.pubdate, '%Y-%m-%d') pubdate
			, t2.seolink linkblog
			FROM cms_blog_posts t1
			JOIN cms_blogs t2 ON t2.id = t1.blog_id
			WHERE t1.pubdate > DATE_SUB(NOW(), INTERVAL 1 DAY)
			AND published = '1'
		");
		$arr_blog = $stblog->fetchAll();
		
		foreach ($arr_blog as $k => $v) {
			$data_blog = array();
			$id = $v['id'];
			$title = $v['title'];
			preg_match( '/\[IMG\](.*?)\[\/IMG\]/is' , $v['content'], $images);
			$image =  $images;
			$content = strip_tags($v['content']);
			$content = preg_replace("/('|\"|\r?\n)/", '', $content);
			$content = preg_replace('#\[img].*\[/img\]#USi', '', $content);
			$content = preg_replace('/\\(.*?\\)|\\[.*?\\]/s', '', $content); 
			$content = substr($content, 0, 300);
			$content = rtrim($content, "!,.-");
			$content = substr($content, 0, strrpos($content, ' '));
		    $data_blog['id']= $id;
		    $data_blog['pubdate'] = $v['pubdate'];
			$data_blog['title']= $title;
			if ($image){
				$data_blog['image']= $image[1];
			} else {
				$data_blog['image']= '';
			}
			$data_blog['linkpost']= $v['linkpost'];
			$data_blog['linkblog']= $v['linkblog'];
			$data_blog['content']= $content.'...';
			$array['blogs'][] = $data_blog;
		}
	}
    echo json_encode($array);
?>